Subject: Re: Question about Running GNU Utilities on Windows XP
From: Randall R Schulz <[email-masked]>
To: Yu Wang <[email-masked]>, "Gerrit P. Haase" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 07 Oct 2002 15:01:53 -0700

Yu,

Are you viewing the file name(s) from Windows Explorer, or via Cygwin "ls"? 
If it's the former, do you have file name suffix suppression turned on. (To 
check, using Windows Explorer activate the "Folder Options" dialog via the 
"Tools -> Folder Options ..." menu command and switch to the "View" tab. 
Examine the setting of the "Hide file extensions for known file types" 
option. That option should be disabled to allow you to see real file names 
in Explorer.)

Enabling that option can lead to confusion, since often there really is no 
file whose full, real name is that displayed by Windows Explorer. For 
example, if that option is enabled, then a file that Cygwin (and the file 
system itself) knows as "PreciousData.txt" would appear in Explorer as 
"PreciousData".

I personally dislike all the options in the Windows GUI that create 
discrepancies between the underlying reality and what is displayed. Some of 
these options can be turned off with stock controls such as the "Folder 
Options" dialog, but others require add-on software like Xteq Systems' 
"X-Setup" or Microsoft's unsanctioned TweakUI control panel.

Good luck.

Randall Schulz
Mountain View, CA USA

At 14:16 2002-10-07, Yu Wang wrote:
>Hi Gerrit and Felix,
>
>Even I use full path
>C:\cygwin\bin\tail.exe C:\cygwin\bin\
>ParaTestDatalogStripped.gold
>(I copy a file ParaTestDatalogStripped.gold to
>C:\cygwin\bin folder)
>it still does not work. I also add C:\cygwin\bin as
>first in path, still does not work.
>
>Another interesting thing is: Originally, the filename
>is ParaTestDatalogStripped.gold. I use tail.exe on
>this file, system tell me can not find
>ParaTestDatalog.gold. Then, I rename the file to
>ParaTestDatalog.gold, system still tell me can not
>find ParaTestDatalog.gold. At last, I rename the file
>to ParaTest.gol, system still tell me can not find
>ParaTestDatalog.gold. So odd and so stubborn. Any
>idea?
>
>Thanks,
>
>Yu
>
>
>--- "Gerrit P. Haase" <[email-masked]> wrote:
> > Hallo Yu,
> >
> > Am Montag, 7. Oktober 2002 um 17:48 schriebst du:
> >
> > > Hi Gerrit,
> >
> > > Thank you so much for kind reply. I ran the tail.exe
> > > directly from \cygwin\bin directory and got the
> > > problem, I thought I was using correct tail.exe, > any
> > > thought? And more, have you ever run tail.exe
> > > successfully on XP?
> >
> > No, I have no XP.  But it should make no difference.
> > Try to call the Cygwin tail.exe with the full path
> > included:
> > C:\cygwin\bin\tail.exe or in a bash shell:
> > /bin/tail.exe and
> > see if it still doesn't work.
> >
> >
> > Gerrit

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/